Index: trunk/autoquest-core-tasktrees/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/ComponentManager.java
===================================================================
--- trunk/autoquest-core-tasktrees/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/ComponentManager.java	(revision 1146)
+++ trunk/autoquest-core-tasktrees/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/ComponentManager.java	(revision 1154)
@@ -23,28 +23,56 @@
 
 /**
- * TODO comment
+ * <p>
+ * The component manager is the central reference for the distinct submodules required for
+ * task tree generation. Such include the temporal relationship rule manager, the task equality
+ * rule manager, the default task builder, as well as the default task factory.
+ * </p>
  * 
- * @version $Revision: $ $Date: 12.02.2012$
- * @author 2012, last modified by $Author: patrick$
+ * @version 1.0
+ * @author pharms
  */
 public class ComponentManager {
     
-    /** */
+    /**
+     * <p>
+     * singleton instance of this class
+     * </p>
+     */
     private static ComponentManager instance;
 
-    /** */
+    /**
+     * <p>
+     * the default temporal relationship rule manager
+     * </p>
+     */
     private TemporalRelationshipRuleManager temporalRelationshipRuleManager;
 
-    /** */
+    /**
+     * <p>
+     * the default task equality rule manager
+     * </p>
+     */
     private TaskEqualityRuleManager taskEqualityRuleManager;
 
-    /** */
+    /**
+     * <p>
+     * the default task builder
+     * </p>
+     */
     private ITaskBuilder taskBuilder;
 
-    /** */
+    /**
+     * <p>
+     * the default task factory
+     * </p>
+     */
     private ITaskFactory taskFactory;
 
     /**
-     *
+     * <p>
+     * returns the default temporal relationship rule manager
+     * </p>
+     * 
+     * @return as described
      */
     public static TemporalRelationshipRuleManager getTemporalRelationshipRuleManager() {
@@ -53,5 +81,9 @@
 
     /**
-     *
+     * <p>
+     * returns the default task equality rule manager
+     * </p>
+     * 
+     * @return as described
      */
     public static TaskEqualityRuleManager getTaskEqualityRuleManager() {
@@ -60,5 +92,9 @@
 
     /**
-     *
+     * <p>
+     * returns the default task builder
+     * </p>
+     * 
+     * @return as described
      */
     public static ITaskBuilder getDefaultTaskBuilder() {
@@ -67,5 +103,9 @@
 
     /**
-     *
+     * <p>
+     * returns the default task factory
+     * </p>
+     * 
+     * @return as described
      */
     public static ITaskFactory getDefaultTaskFactory() {
@@ -74,5 +114,8 @@
 
     /**
-     * 
+     * <p>
+     * clears the singleton instance. Needed for test purposes to ensure statelessness between
+     * tests.
+     * </p>
      */
     public static synchronized void clearInstance() {
@@ -81,5 +124,9 @@
 
     /**
-     *
+     * <p>
+     * returns the singleton instance of this class
+     * </p>
+     * 
+     * @return as described
      */
     private static synchronized ComponentManager getInstance() {
@@ -92,5 +139,9 @@
 
     /**
-     * 
+     * <p>
+     * initialized the component manager with all it default components which are the temporal
+     * relationship rule manager, the task equality rule manager, the default task builder, as
+     * well as the default task factory. 
+     * </p>
      */
     private void init() {
Index: trunk/autoquest-core-tasktrees/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/TaskTreeManager.java
===================================================================
--- trunk/autoquest-core-tasktrees/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/TaskTreeManager.java	(revision 1146)
+++ trunk/autoquest-core-tasktrees/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/TaskTreeManager.java	(revision 1154)
@@ -29,25 +29,49 @@
 
 /**
- * TODO comment
+ * <p>
+ * The task tree manager is responsible for transforming one or more user sessions into a task
+ * model. It can be called by providing a collection of user sessions where the result
+ * will be a task model. Furthermore, it can be used by providing single events in their respective
+ * order including notifications about where a user session ends. The result is a task model,
+ * as well. 
+ * </p>
  * 
- * @version $Revision: $ $Date: $
- * @author 2011, last modified by $Author: $
+ * @version 1.0
+ * @author pharms
  */
 public class TaskTreeManager {
     
-    /** */
+    /**
+     * <p>
+     * the internally used task builder
+     * </p>
+     */
     private ITaskBuilder taskBuilder = ComponentManager.getDefaultTaskBuilder();
 
-    /** */
+    /**
+     * <p>
+     * the internally used task factory
+     * </p>
+     */
     private ITaskFactory taskFactory = ComponentManager.getDefaultTaskFactory();
 
-    /** */
+    /**
+     * <p>
+     * if single events are provided, the user sessions collected so far
+     * </p>
+     */
     private List<IUserSession> sessions = null;
 
-    /** */
+    /**
+     * <p>
+     * if single events are provided, the currently collected user session
+     * </p>
+     */
     private IUserSession currentSession = null;
 
     /**
-     *
+     * <p>
+     * initializes the task tree manager
+     * </p>
      */
     public TaskTreeManager() {
@@ -56,5 +80,19 @@
 
     /**
-     *
+     * <p>
+     * creates a task model based on the provided user sessions. Yet, the user sessions are
+     * list of events. Such will be transformed in into task instances of event tasks assigned
+     * to {@link IUserSession}s. The {@link IUserSession}s will then be restructured using
+     * the temporal relationship rule manager to detect tasks and respective instances. The
+     * results of this transformation is stored in a task model which is the return value of
+     * this method.
+     * </p>
+     * 
+     * @param newSessions the user sessions of which the task model shall be created
+     * 
+     * @return the task model created from the user sessions
+     * 
+     * @throws IllegalStateException if the task manager is already used by providing it with
+     *                               single events
      */
     public synchronized ITaskModel createTaskModel(Collection<List<Event>> newSessions) {
@@ -78,5 +116,9 @@
 
     /**
-     *
+     * <p>
+     * handles a single event that occurred in a user session.
+     * </p>
+     * 
+     * @param event the event to handle
      */
     public void handleNewEvent(Event event) {
@@ -87,5 +129,9 @@
 
     /**
-     * 
+     * <p>
+     * used to denote, that all previously added events using {@link #handleNewEvent(Event)}
+     * belong to the same session and that this session is now complete. All further events
+     * will be added to a new session which may be ended using this method, as well.
+     * </p>
      */
     public void finishSession() {
@@ -97,5 +143,9 @@
 
     /**
-     *
+     * <p>
+     * returns the task model, that belongs to the events in the user sessions collected so far.
+     * </p>
+     * 
+     * @return the task model
      */
     public synchronized ITaskModel getTaskModel() {
@@ -110,5 +160,7 @@
 
     /**
-     *
+     * <p>
+     * internally asserts that there is a current session to add new events to
+     * </p>
      */
     private void assertSessionSequence() {
